---
- name: Install ssl configuration
  ansible.builtin.template:
    src: ssl.conf
    dest: /etc/httpd/conf.d/ssl.conf
    owner: root
    group: root
    mode: "0644"

- name: Copy ssl certificate to host
  ansible.builtin.copy:
    content: "{{ moodle_ssl_cert }}"
    dest: "/etc/pki/tls/certs/{{ moodle_hostname }}.crt"
    owner: root
    group: root
    mode: "0644"
  notify: Service httpd restart

- name: Copy ssl certificate key to host
  ansible.builtin.copy:
    content: "{{ moodle_ssl_key }}"
    dest: "/etc/pki/tls/private/{{ moodle_hostname }}.key"
    owner: root
    group: apache
    mode: "0640"
  notify: Service httpd restart
